# stdarg.h File Reference

Go to the source code of this file.

## Defines

#define | vaStart(ap, parm)
#define | vaArg(ap, type)
#define | vaEnd(ap) ((ap)[0] = 0, (void) 0)

## Typedefs

typedef char * | vaList [1]

## Functions

int | vsprintf (char *buf, const char *fmt, vaList args)

## Define Documentation

#define vaArg | ( | ap,
|  | type |  | ) |

Value:

    ((ap)[0] += \
             ((sizeof(type) + sizeof(int) - 1) & ~(sizeof(int) - 1)), \
            (*(type *) ((ap)[0] \
             - ((sizeof(type) + sizeof(int) - 1) & ~(sizeof(int) - 1)) )))

#define vaEnd | ( | ap |  | ) | ((ap)[0] = 0, (void) 0)

#define vaStart | ( | ap,
|  | parm |  | ) |

Value:

    ((ap)[0] = (char *) &parm \
             + ((sizeof(parm) + sizeof(int) - 1) & ~(sizeof(int) - 1)), (void) 0)

## Typedef Documentation

typedef char* vaList[1]

## Function Documentation

int vsprintf | ( | char * | buf,
|  | const char * | fmt,
|  | vaList | args
| ) |